# FileOutputStream Class Reference
[Various accompanying utilities]

Inheritance diagram for FileOutputStream:
[legend]

List of all members.

## Public Member Functions

| __construct ($nameOrFd, $append=false)
| __destruct ()
| write ($buffer)
| close ()

## Static Public Member Functions

static | create ($nameOrFd, $append=false)

## Private Attributes

| $fd = null

## Detailed Description

Definition at line 15 of file FileOutputStream.class.php.

## Constructor & Destructor Documentation

FileOutputStream::__construct | ( | $ | nameOrFd,
|  | $ | append = `false` |
| ) |  |  |

Definition at line 19 of file FileOutputStream.class.php.

References Assert::isNotFalse().

Here is the call graph for this function:

FileOutputStream::__destruct | ( |  | ) |

Definition at line 41 of file FileOutputStream.class.php.

References close().

Here is the call graph for this function:

## Member Function Documentation

FileOutputStream::close | ( |  | ) |

Returns:
  FileOutputStream

Reimplemented from OutputStream.

Definition at line 81 of file FileOutputStream.class.php.

Referenced by __destruct().

static FileOutputStream::create | ( | $ | nameOrFd,
|  | $ | append = `false` |
| ) |  |  | `[static]`

Returns:
  FileOutputStream

Definition at line 53 of file FileOutputStream.class.php.

Referenced by DebugCachePeer::__construct().

FileOutputStream::write | ( | $ | buffer | ) |

Returns:
  FileOutputStream

Reimplemented from OutputStream.

Definition at line 61 of file FileOutputStream.class.php.

## Member Data Documentation

FileOutputStream::$fd = null`[private]`

Definition at line 17 of file FileOutputStream.class.php.

The documentation for this class was generated from the following file:

- main/Utils/IO/FileOutputStream.class.php